Bug 80756 - LibO crashes when Nuance Dragon Dictate is running
Summary: LibO crashes when Nuance Dragon Dictate is running
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: haveBacktrace
: 107303 115095 (view as bug list)
Depends on:
Blocks: a11y-macOS Crash
  Show dependency treegraph
 
Reported: 2014-07-01 10:00 UTC by js
Modified: 2020-05-16 19:46 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
crash-report 4242 (76.58 KB, text/plain)
2014-07-01 10:00 UTC, js
Details
impress crash-log 4162 (60.46 KB, text/plain)
2014-07-03 17:47 UTC, js
Details
impress crash-log while running dictate 4252 (78.45 KB, text/plain)
2014-07-06 09:21 UTC, js
Details
writer crash-log 432 (77.12 KB, text/plain)
2014-07-13 18:48 UTC, js
Details

Note You need to log in before you can comment on or make changes to this bug.
Description js 2014-07-01 10:00:23 UTC
Created attachment 102065 [details]
crash-report 4242

Problem description: 

Steps to reproduce:
1. insert image (png)

Current behavior:
crash at the moment i click "open"

Expected behavior:

              
Operating System: Mac OS X
Version: 4.2.4.2 release
Comment 1 tommy27 2014-07-01 16:22:03 UTC
try installing new 4.2.5.2 and tell if issue persists
Comment 2 retired 2014-07-03 01:18:40 UTC
WORKSFORME in Version: 4.3.0.1
Build ID: 9ed0c4329cf13f882dab0ee8b9ecd7b05e4aafbb

Is this bug still valid / reproducible with the latest LO release?
4.3RC1: http://www.libreoffice.org/download/pre-releases/

Please also try resetting your user profile and let us know if that helps: https://wiki.documentfoundation.org/UserProfile

Please REOPEN should the problem then still persist for you.
Comment 3 js 2014-07-03 07:46:54 UTC
(In reply to comment #1)
> try installing new 4.2.5.2 and tell if issue persists

seems to work with LO 4.2.5.2
thanks
Comment 4 js 2014-07-03 17:47:13 UTC
Created attachment 102207 [details]
impress crash-log 4162
Comment 5 js 2014-07-03 17:51:45 UTC
hi there,

sadly i got the same problem again, impress crashs trough different actions (e.g. adding effect, foramating image...) i tryed to reset user profile, also tryed different lo versions without success. still got sudden crash.
Comment 6 retired 2014-07-04 12:01:32 UTC
Hi js, did you try LO 4.3.0.2? Not sure if this is the same problem, since you say it is triggered by different action?
Comment 7 js 2014-07-05 21:24:29 UTC
(In reply to comment #6)
> Hi js, did you try LO 4.3.0.2? Not sure if this is the same problem, since
> you say it is triggered by different action?

Hi, 
no haven't tried LO 4.3 yet, but i think i've got a hint what causes the crashes: it only occures when dragon dictate (Version 3.0.4) is running. If i close dictate, everything is going fine. any idea what is going on? 

thanks a lot
Comment 8 tommy27 2014-07-06 06:23:35 UTC
--> js@skjuz.de 
so is there a conflict between that Dragon Dictate software and LibO, right?
does it affects only Impress or even Writer and Calc?
Comment 9 js 2014-07-06 09:18:15 UTC
(In reply to comment #8)
> --> js@skjuz.de 
> so is there a conflict between that Dragon Dictate software and LibO, right?
> does it affects only Impress or even Writer and Calc?

hi,
yes seems to be a conflict between those two programms. Writer crashes also, haven't tried Calc. Right now i can only reproduce the crash in Impress by inserting a image-file. even that is not always reproduceable. there must be some other factors, i haven't pointed out yet. i'm going to find out what else exactly causes a crash. i added the last crash-log, produced in impress, by inserting a image-file, while nuance dragon-dictate was running (in sleep mode, means i'm working with keyboard & mouse not with voice-control, dictate should not do anything in that mode).

thanks a lot
Comment 10 js 2014-07-06 09:21:32 UTC
Created attachment 102324 [details]
impress crash-log while running dictate 4252

caused by inserting an image, while dictate was running (see post for details)
Comment 11 tommy27 2014-07-07 07:34:59 UTC
Ok I changed summary notes. I think you should also open a bug report in Nuance Dragon Dictate technical support as well, since the bug could be on their side.
Comment 12 js 2014-07-07 19:26:16 UTC
(In reply to comment #11)
> Ok I changed summary notes. I think you should also open a bug report in
> Nuance Dragon Dictate technical support as well, since the bug could be on
> their side.

i've tried LO 4.3.0.2 still the same problem. I've also opened a support-ticket at nuance.
i hope it can be fixed, cause i love LO, but need to work with dictate cause of a handicap.

thank you
Comment 13 js 2014-07-10 14:20:51 UTC
Hi,

as fare as i can see it must have to do something with the OS X Accessibility-Support. If i turn it of, while Dictate is running, everything is fine. But i can't start Dictate without Accessibility-Support enabled. Maybe this is helpful.
Comment 14 js 2014-07-13 18:46:05 UTC
Hi,
now i've got a nother crash, that can be reproduced, this time in writer:
dictate is running in sleep-mode (no matter, if Accesability-Support is activeted or not)
1) open exsisting odt-file
2) save as rtf
=> rtf-file is saved but LibO crashs

if dictate is closed no crash occures.

- OS X 10.9.3
- Nuance Dragon Dictate Deutsch Version 3.0.4 (12658)
- LibreOffice Version: 4.3.0.2

=> crash-log attached

greetings js
Comment 15 js 2014-07-13 18:48:42 UTC
Created attachment 102719 [details]
writer crash-log 432
Comment 16 Joel Madero 2014-08-04 15:56:45 UTC
REOPENED is reserved for a bug that:

1. a developer has marked as FIXED;
2. a developer is assigned to the bug that is marked as FIXED;

In this case the bug report was never independently confirmed so correct status is UNCONFIRMED. Thanks!
Comment 17 Alex Thurgood 2014-09-26 11:36:50 UTC
This sounds very much like the old accessibilty crashes we had with VoiceOver and certain accessibility tools.
Comment 18 Alex Thurgood 2014-09-26 11:37:55 UTC
Adding Jorend as he knows much more about this than I do.
Comment 19 Jorendc 2014-09-26 11:41:28 UTC
(In reply to comment #18)
> Adding Jorend as he knows much more about this than I do.

Can't help here sadly. I don't use this tool, and I even don't know how to use it.
Comment 20 Alex Thurgood 2014-09-26 11:55:56 UTC
(In reply to comment #19)
> (In reply to comment #18)
> > Adding Jorend as he knows much more about this than I do.
> 
> Can't help here sadly. I don't use this tool, and I even don't know how to
> use it.

Oh well, sorry about cc'ing you then :-)
Comment 21 tommy27 2014-09-26 11:57:24 UTC
-->  js@skjuz.de 
is the issue still present with LO 4.3.2.2 which has been released recently?
Comment 22 Alex Thurgood 2014-09-26 11:58:13 UTC
I would think that it is pretty safe to say that DD invokes something in the accessibility API that LO can not handle ;-)
Comment 23 Alex Thurgood 2014-09-26 12:09:47 UTC
Each time, the log shows this :

7   com.apple.CoreFoundation      	0x00007fff837758d9 __CFRUNLOOP_IS_CALLING_OUT_TO_A_SOURCE1_PERFORM_FUNCTION__ + 41
8   com.apple.CoreFoundation      	0x00007fff8377584e __CFRunLoopDoSource1 + 478
9   com.apple.CoreFoundation      	0x00007fff83766886 __CFRunLoopRun + 1830
Comment 24 Alex Thurgood 2014-09-26 12:20:29 UTC
Well the LO run loop seems to complain that a Source1 type function is called, but LO doesn't know what to do with it ? Source1 function calls come from outside applications or user input according to the Apple dev reference, so it could be that DD is asking for something and LO has no means to respond and so dies ? As I'm not a dev, all just speculation.
Comment 25 Alex Thurgood 2014-09-26 12:22:30 UTC
Seems worthwhile confirming though, as those reports have come from four different versions of LO and are all highly similar
Comment 26 Alex Thurgood 2014-09-26 12:24:28 UTC
This is only likely to get fixed by someone who has:

- a debug build ;
- on OSX ;
- and Dragon Dictate

Not very likely at the moment
Comment 27 Julien Nabet 2015-11-08 16:26:35 UTC
Any update with last stable LO version 5.0.3?
If there's still a crash, it could be interesting to know if it's the same bt or not. (Of course, ideally, a bt with debug symbols could be even more useful)
Comment 28 QA Administrators 2017-01-03 19:37:14 UTC Comment hidden (obsolete)
Comment 29 Alex Thurgood 2017-08-28 07:49:37 UTC
*** Bug 107303 has been marked as a duplicate of this bug. ***
Comment 30 Alex Thurgood 2017-08-28 07:51:26 UTC
So, rather unsurprisingly, with our obsolete/incomplete assistive technology support, this bug is still happening.
Comment 31 Alex Thurgood 2017-08-28 07:52:11 UTC
Bug 107303 reports the crash against LO 5.3
Comment 32 Henry Lieberman 2017-08-28 17:52:21 UTC
I originally reported bug #107303, which this seems to be addressing.

I just bought a brand new machine and tried everything again. It is still crashing, sometimes just sitting there doing nothing, but often when I try to save or print the file. I am enclosing the source .odt file and Apple crash report.

MacOS 10.12.6, Libre Office 5.3.4.2. 

While I had Dragon on my old machine, I have not yet loaded it onto this machine, and the crash is still occurring. I do have Accessibility turned on for Quickeys, Default Folder, Dropbox, IshowU (screen recorded). 

Is temporarily turning off Accessibility for these apps a workaround to avoid this crash until it is fixed?
Comment 33 Alex Thurgood 2018-01-22 08:11:21 UTC
*** Bug 115095 has been marked as a duplicate of this bug. ***
Comment 34 QA Administrators 2019-01-23 03:48:06 UTC Comment hidden (obsolete)
Comment 35 Henry Lieberman 2019-01-23 04:45:54 UTC
Libre Office has had a longstanding bug that makes it crash whenever a Mac user has the Accessibility feature turned on of allowing other programs to "control your computer". This bug is still present in Libre Office 6.2.  It is likely responsible for many other Libre Office bug reports from unsuspecting users. 

You can see the option under System Preferences > Security and Privacy > Privacy tab and Accessibility option on sidebar.  The option is, "Allow the apps to control your computer". If you don't have that turned on for any apps, LO works fine.

However, increasing numbers of programs do use that option. I have it turned on for:
 Default Folder X (file and folder cache)
 Dragon (speech reco)
 Dropbox (cloud file system)
 IShowU (screen recorder)
 Quickeys (macro program)

LO is unreliable in the presence of this option, often crashing and rendering it unusable. Turning on and off this option for multiple programs takes a fair bit of work, so is not feasible on an everyday basis for most users. Nor is abandoning every program that needs this option. 

This should really be fixed. Otherwise you will see an attrition of your Mac user community as people keep on running into this bug and not understanding the cause, they will blame LO. It's a shame, but I have abandoned everyday use of LO because of this. I would like to go back.
Comment 36 Alex Thurgood 2019-01-23 08:45:04 UTC
Given that Nuance has decided to abandon support for the macOS version of Dragon Dictate, it seems unlikely that this bug will ever be adressed.
Comment 37 Alex Thurgood 2019-01-23 08:49:33 UTC
(In reply to Alex Thurgood from comment #36)
> Given that Nuance has decided to abandon support for the macOS version of
> Dragon Dictate, it seems unlikely that this bug will ever be adressed.

See the product discontinuation notice issued by Nuance:

https://www.nuance.com/dragon/support/professional-individual-for-mac-eol.html#


Dragon Dictate on Mac is thus EOL.
I seriously doubt that anyone will invest the resources to make an EOL product work nicely with LO when it can't even work nicely with the OS on which it is supposed to run.
Comment 38 Julien Nabet 2019-01-23 08:54:41 UTC
Alex: IMH the problem isn't Dragon Dictate but is more general. It seems to me that accessibility part in LO is quite broken.
So this one may be put to WONTFIX but hope that someone will tackle accessibility pbs instead of seeing another feature not completely implemented in next GSOC.
Comment 39 Alex Thurgood 2019-01-23 09:40:34 UTC
(In reply to Julien Nabet from comment #38)
> Alex: IMH the problem isn't Dragon Dictate but is more general. It seems to
> me that accessibility part in LO is quite broken.
> So this one may be put to WONTFIX but hope that someone will tackle
> accessibility pbs instead of seeing another feature not completely
> implemented in next GSOC.

Hi Julien,

Yes, I agree, and I believe that we already have several bug reports relating to accessibility, including VoiceOver.

See for example, our meta bug 555571